// ICellListener.h
//
#if !defined(_ICELLLISTENER_H_)
#define _ICELLLISTENER_H_

#include "cmString.h"

class ICellListener
{
public:
	virtual bool OnValueChanged(const cmString& fieldName, double oldValue, double newValue) = 0;
	virtual bool OnValueChanged(const cmString& fieldName, long oldValue, long newValue) = 0;
	virtual bool OnValueChanged(const cmString& fieldName, bool oldValue, bool newValue) = 0;
	virtual bool OnValueChanged(const cmString& fieldName, cmString oldValue, cmString newValue) = 0;

};

#endif //!defined(_ICELLLISTENER_H_)